# OmniAuth Dotloop

[![Gem Version](http://img.shields.io/gem/v/omniauth-dotloop.svg)][gem]
[![Build Status](http://img.shields.io/travis/contactually/omniauth-dotloop.svg)][travis]
[![Code Climate](http://img.shields.io/codeclimate/github/contactually/omniauth-dotloop.svg)][codeclimate]

[gem]: https://rubygems.org/gems/omniauth-dotloop
[travis]: http://travis-ci.org/contactually/omniauth-dotloop
[codeclimate]: https://codeclimate.com/github/contactually/omniauth-dotloop

Gem to authenticate applications to Dotloop via OAuth2.

# Background
Dotloop has a full API (docs at https://dotloop.github.io/public-api/) and uses to OAuth2 for authentication (https://dotloop.github.io/public-api/#authentication).

# Setup
Register for your OAuth2 credentials by creating a client at https://www.dotloop.com/my/account/#/clients.

NOTE: You'll need at least `Account Access: Read` to use this strategy.

## Standard setup:

```ruby
  # Add to your initializers/omniauth.rb

  use OmniAuth::Builder do
    provider :dotloop, ENV['DOTLOOP_APP_ID'], ENV['DOTLOOP_APP_SECRET']
  end
```

## Setup with Devise:

```ruby
  # Add to your devise.rb

  config.omniauth :dotloop, ENV['DOTLOOP_APP_ID'], ENV['DOTLOOP_APP_SECRET']
```
